编译openjdk7u的全部代码能成功,单独编译hotspot部分去无故失败

是夜色太荒芜 发布于 2016/08/24 16:30
阅读 622
收藏 0

单独编译hotspot的log如下,执行到最后一行rm -f就终止了

/Applications/Xcode.app/Contents/Developer/usr/bin/make MACOSX_UNIVERSAL=true all_product_universal
/Applications/Xcode.app/Contents/Developer/usr/bin/make ARCH_DATA_MODEL=64 product product1 docs export_product
cd /Library/userDevtool/openJdk/openjdk7/hotspot/make; \
	/Applications/Xcode.app/Contents/Developer/usr/bin/make BUILD_FLAVOR=product VM_TARGET=product generic_build2 
mkdir -p /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd
cd /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd; \
	    /Applications/Xcode.app/Contents/Developer/usr/bin/make -f /Library/userDevtool/openJdk/openjdk7/hotspot/make/bsd/Makefile \
		       LP64=1 MACOSX_UNIVERSAL=true JAVA_HOME=/Library/Java/JavaVirtualMachines/jdk1.7.0_71.jdk/Contents/Home OUTPUTDIR=/Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd GAMMADIR=/Library/userDevtool/openJdk/openjdk7/hotspot MAKE_VERBOSE=y HOTSPOT_RELEASE_VERSION=24.0-b56 JRE_RELEASE_VERSION="1.7.0" HOTSPOT_BUILD_VERSION=internal INCLUDE_TRACE=1 product
cd bsd_amd64_compiler2/product && /Applications/Xcode.app/Contents/Developer/usr/bin/make  " LP64=1 "
../generated/adfiles/adlc -D_ALLBSD_SOURCE -D_GNU_SOURCE -DAMD64 -q -T -g -D_LP64 ../generated/adfiles/bsd_x86_64.ad  \
 -c../generated/adfiles/mktmp37818/ad_x86_64.cpp -h../generated/adfiles/mktmp37818/ad_x86_64.hpp -a../generated/adfiles/mktmp37818/dfa_x86_64.cpp -v../generated/adfiles/mktmp37818/adGlobals_x86_64.hpp \
	    || { rm -rf ../generated/adfiles/mktmp37818; exit 1; }
./adlc_updater ad_x86_64.cpp ../generated/adfiles/mktmp37818 ../generated/adfiles
./adlc_updater ad_x86_64.hpp ../generated/adfiles/mktmp37818 ../generated/adfiles
./adlc_updater ad_x86_64_clone.cpp ../generated/adfiles/mktmp37818 ../generated/adfiles
./adlc_updater ad_x86_64_expand.cpp ../generated/adfiles/mktmp37818 ../generated/adfiles
./adlc_updater ad_x86_64_format.cpp ../generated/adfiles/mktmp37818 ../generated/adfiles
./adlc_updater ad_x86_64_gen.cpp ../generated/adfiles/mktmp37818 ../generated/adfiles
./adlc_updater ad_x86_64_misc.cpp ../generated/adfiles/mktmp37818 ../generated/adfiles
./adlc_updater ad_x86_64_peephole.cpp ../generated/adfiles/mktmp37818 ../generated/adfiles
./adlc_updater ad_x86_64_pipeline.cpp ../generated/adfiles/mktmp37818 ../generated/adfiles
./adlc_updater adGlobals_x86_64.hpp ../generated/adfiles/mktmp37818 ../generated/adfiles
./adlc_updater dfa_x86_64.cpp ../generated/adfiles/mktmp37818 ../generated/adfiles
[ -f ../generated/adfiles/mktmp37818/made-change ] \
		|| echo "Rescanned ../generated/adfiles/bsd_x86_64.ad  but encountered no changes."
Rescanned ../generated/adfiles/bsd_x86_64.ad  but encountered no changes.
rm -rf ../generated/adfiles/mktmp37818
make[6]: Nothing to be done for `all'.
make[6]: Nothing to be done for `all'.
if [ -d /Library/userDevtool/openJdk/openjdk7/hotspot/agent -a "x86" != "ia64" \
             -a "x86" != "arm" \
             -a "x86" != "ppc" \
             -a "x86" != "zero" ] ; then \
	   /Applications/Xcode.app/Contents/Developer/usr/bin/make -f sa.make /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/bsd_amd64_compiler2/product/../generated/sa-jdi.jar; \
	fi
make[7]: `/Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/bsd_amd64_compiler2/product/../generated/sa-jdi.jar' is up to date.
echo "dtrace headers generated"
dtrace headers generated
make[6]: `precompiled.hpp.gch' is up to date.
echo "Doing vm.make build:"
Doing vm.make build:
All done.
#cd bsd_amd64_compiler2/product && ./test_gamma
cd /Library/userDevtool/openJdk/openjdk7/hotspot/make; \
	/Applications/Xcode.app/Contents/Developer/usr/bin/make BUILD_FLAVOR=product VM_TARGET=product1 generic_build1 
mkdir -p /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd
No compiler1 (product1) for ARCH_DATA_MODEL=64
cd /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd; \
	    /Applications/Xcode.app/Contents/Developer/usr/bin/make -f /Library/userDevtool/openJdk/openjdk7/hotspot/make/bsd/Makefile \
		       LP64=1 MACOSX_UNIVERSAL=true JAVA_HOME=/Library/Java/JavaVirtualMachines/jdk1.7.0_71.jdk/Contents/Home OUTPUTDIR=/Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd GAMMADIR=/Library/userDevtool/openJdk/openjdk7/hotspot MAKE_VERBOSE=y HOTSPOT_RELEASE_VERSION=24.0-b56 JRE_RELEASE_VERSION="1.7.0" HOTSPOT_BUILD_VERSION=internal INCLUDE_TRACE=1 BUILD_FLAVOR=product docs
/Library/Java/JavaVirtualMachines/jdk1.7.0_71.jdk/Contents/Home/bin/javap javax.xml.transform.TransformerFactory > /dev/null 2>&1; \
	if [ $? -ne 0 ]; then \
	   /Library/Java/JavaVirtualMachines/jdk1.7.0_71.jdk/Contents/Home/bin/java -version; \
	  echo "*** An XSLT processor (J2SE 1.4.x or newer) is required" \
	  "to bootstrap this build" 1>&2; \
	  exit 1; \
	fi
mkdir -p bsd_amd64_docs
/Applications/Xcode.app/Contents/Developer/usr/bin/make -f /Library/userDevtool/openJdk/openjdk7/hotspot/make/bsd/makefiles/jvmti.make  " LP64=1 " GAMMADIR=/Library/userDevtool/openJdk/openjdk7/hotspot OS_FAMILY=bsd SRCARCH=x86 BUILDARCH=amd64 LIBARCH=amd64 LIBRARY_SUFFIX=dylib HOTSPOT_RELEASE_VERSION=24.0-b56 HOTSPOT_BUILD_VERSION=internal JRE_RELEASE_VERSION=1.7.0 JvmtiOutDir=bsd_amd64_docs jvmtidocs
make[4]: Nothing to be done for `jvmtidocs'.
/Applications/Xcode.app/Contents/Developer/usr/bin/make BUILD_FLAVOR=product VM_SUBDIR=product \
          generic_export
cp /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/bsd_amd64_compiler2/product/libjsig.dylib /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/amd64/libjsig.dylib
rm -f /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/amd64/server/Xusage.txt.temp
sed 's/\(separated by \)[;:]/\1:/g' /Library/userDevtool/openJdk/openjdk7/hotspot/src/share/vm/Xusage.txt > /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/amd64/server/Xusage.txt.temp
mv /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/amd64/server/Xusage.txt.temp /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/amd64/server/Xusage.txt
cp /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/bsd_amd64_compiler2/product/libjvm.dylib /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/amd64/server/libjvm.dylib
cp /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/bsd_amd64_compiler2/product/libsaproc.dylib /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/amd64/libsaproc.dylib
/Applications/Xcode.app/Contents/Developer/usr/bin/make EXPORT_SUBDIR= universalize
BUILT_LIPO_FILES="`find /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/{i386,amd64}/libjsig.dylib 2>/dev/null`"; \
	if [ -n "${BUILT_LIPO_FILES}" ]; then \
	  mkdir -p /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib; \
	  lipo -create -output /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/libjsig.dylib ${BUILT_LIPO_FILES}; \
	fi	
BUILT_LIPO_FILES="`find /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/{i386,amd64}/libsaproc.dylib 2>/dev/null`"; \
	if [ -n "${BUILT_LIPO_FILES}" ]; then \
	  mkdir -p /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib; \
	  lipo -create -output /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/libsaproc.dylib ${BUILT_LIPO_FILES}; \
	fi	
BUILT_LIPO_FILES="`find /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/{i386,amd64}/server/libjvm.dylib 2>/dev/null`"; \
	if [ -n "${BUILT_LIPO_FILES}" ]; then \
	  mkdir -p /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/server; \
	  lipo -create -output /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/server/libjvm.dylib ${BUILT_LIPO_FILES}; \
	fi	
BUILT_LIPO_FILES="`find /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/{i386,amd64}/client/libjvm.dylib 2>/dev/null`"; \
	if [ -n "${BUILT_LIPO_FILES}" ]; then \
	  mkdir -p /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/client; \
	  lipo -create -output /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/client/libjvm.dylib ${BUILT_LIPO_FILES}; \
	fi	
BUILT_COPY_FILES="`find /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/{i386,amd64}/server/Xusage.txt 2>/dev/null`"; \
	if [ -n "${BUILT_COPY_FILES}" ]; then \
	  for i in ${BUILT_COPY_FILES}; do \
	    if [ -f ${i} ]; then \
	      mkdir -p /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/server; \
	      cp ${i} /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/server/Xusage.txt; \
	    fi; \
	  done; \
	fi
BUILT_COPY_FILES="`find /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/{i386,amd64}/client/Xusage.txt 2>/dev/null`"; \
	if [ -n "${BUILT_COPY_FILES}" ]; then \
	  for i in ${BUILT_COPY_FILES}; do \
	    if [ -f ${i} ]; then \
	      mkdir -p /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/client; \
	      cp ${i} /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/client/Xusage.txt; \
	    fi; \
	  done; \
	fi
rm -f -r /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/jre/lib/{i386,amd64}
/Applications/Xcode.app/Contents/Developer/usr/bin/make MACOSX_UNIVERSAL=true all_fastdebug_universal
/Applications/Xcode.app/Contents/Developer/usr/bin/make ARCH_DATA_MODEL=64 fastdebug fastdebug1 docs export_fastdebug
cd /Library/userDevtool/openJdk/openjdk7/hotspot/make; \
	/Applications/Xcode.app/Contents/Developer/usr/bin/make BUILD_FLAVOR=fastdebug VM_TARGET=fastdebug generic_build2 
mkdir -p /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd
cd /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd; \
	    /Applications/Xcode.app/Contents/Developer/usr/bin/make -f /Library/userDevtool/openJdk/openjdk7/hotspot/make/bsd/Makefile \
		       LP64=1 MACOSX_UNIVERSAL=true JAVA_HOME=/Library/Java/JavaVirtualMachines/jdk1.7.0_71.jdk/Contents/Home OUTPUTDIR=/Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd GAMMADIR=/Library/userDevtool/openJdk/openjdk7/hotspot MAKE_VERBOSE=y HOTSPOT_RELEASE_VERSION=24.0-b56 JRE_RELEASE_VERSION="1.7.0" HOTSPOT_BUILD_VERSION=internal INCLUDE_TRACE=1 fastdebug
cd bsd_amd64_compiler2/fastdebug && /Applications/Xcode.app/Contents/Developer/usr/bin/make  " LP64=1 "
../generated/adfiles/adlc -D_ALLBSD_SOURCE -D_GNU_SOURCE -DAMD64 -q -T -g -D_LP64 ../generated/adfiles/bsd_x86_64.ad  \
 -c../generated/adfiles/mktmp38553/ad_x86_64.cpp -h../generated/adfiles/mktmp38553/ad_x86_64.hpp -a../generated/adfiles/mktmp38553/dfa_x86_64.cpp -v../generated/adfiles/mktmp38553/adGlobals_x86_64.hpp \
	    || { rm -rf ../generated/adfiles/mktmp38553; exit 1; }
./adlc_updater ad_x86_64.cpp ../generated/adfiles/mktmp38553 ../generated/adfiles
./adlc_updater ad_x86_64.hpp ../generated/adfiles/mktmp38553 ../generated/adfiles
./adlc_updater ad_x86_64_clone.cpp ../generated/adfiles/mktmp38553 ../generated/adfiles
./adlc_updater ad_x86_64_expand.cpp ../generated/adfiles/mktmp38553 ../generated/adfiles
./adlc_updater ad_x86_64_format.cpp ../generated/adfiles/mktmp38553 ../generated/adfiles
./adlc_updater ad_x86_64_gen.cpp ../generated/adfiles/mktmp38553 ../generated/adfiles
./adlc_updater ad_x86_64_misc.cpp ../generated/adfiles/mktmp38553 ../generated/adfiles
./adlc_updater ad_x86_64_peephole.cpp ../generated/adfiles/mktmp38553 ../generated/adfiles
./adlc_updater ad_x86_64_pipeline.cpp ../generated/adfiles/mktmp38553 ../generated/adfiles
./adlc_updater adGlobals_x86_64.hpp ../generated/adfiles/mktmp38553 ../generated/adfiles
./adlc_updater dfa_x86_64.cpp ../generated/adfiles/mktmp38553 ../generated/adfiles
[ -f ../generated/adfiles/mktmp38553/made-change ] \
		|| echo "Rescanned ../generated/adfiles/bsd_x86_64.ad  but encountered no changes."
Rescanned ../generated/adfiles/bsd_x86_64.ad  but encountered no changes.
rm -rf ../generated/adfiles/mktmp38553
make[6]: Nothing to be done for `all'.
make[6]: Nothing to be done for `all'.
if [ -d /Library/userDevtool/openJdk/openjdk7/hotspot/agent -a "x86" != "ia64" \
             -a "x86" != "arm" \
             -a "x86" != "ppc" \
             -a "x86" != "zero" ] ; then \
	   /Applications/Xcode.app/Contents/Developer/usr/bin/make -f sa.make /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/bsd_amd64_compiler2/fastdebug/../generated/sa-jdi.jar; \
	fi
make[7]: `/Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/bsd_amd64_compiler2/fastdebug/../generated/sa-jdi.jar' is up to date.
echo "dtrace headers generated"
dtrace headers generated
make[6]: `precompiled.hpp.gch' is up to date.
echo "Doing vm.make build:"
Doing vm.make build:
All done.
#cd bsd_amd64_compiler2/fastdebug && ./test_gamma
cd /Library/userDevtool/openJdk/openjdk7/hotspot/make; \
	/Applications/Xcode.app/Contents/Developer/usr/bin/make BUILD_FLAVOR=fastdebug VM_TARGET=fastdebug1 generic_build1 
mkdir -p /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd
No compiler1 (fastdebug1) for ARCH_DATA_MODEL=64
cd /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd; \
	    /Applications/Xcode.app/Contents/Developer/usr/bin/make -f /Library/userDevtool/openJdk/openjdk7/hotspot/make/bsd/Makefile \
		       LP64=1 MACOSX_UNIVERSAL=true JAVA_HOME=/Library/Java/JavaVirtualMachines/jdk1.7.0_71.jdk/Contents/Home OUTPUTDIR=/Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd GAMMADIR=/Library/userDevtool/openJdk/openjdk7/hotspot MAKE_VERBOSE=y HOTSPOT_RELEASE_VERSION=24.0-b56 JRE_RELEASE_VERSION="1.7.0" HOTSPOT_BUILD_VERSION=internal INCLUDE_TRACE=1 BUILD_FLAVOR=product docs
/Library/Java/JavaVirtualMachines/jdk1.7.0_71.jdk/Contents/Home/bin/javap javax.xml.transform.TransformerFactory > /dev/null 2>&1; \
	if [ $? -ne 0 ]; then \
	   /Library/Java/JavaVirtualMachines/jdk1.7.0_71.jdk/Contents/Home/bin/java -version; \
	  echo "*** An XSLT processor (J2SE 1.4.x or newer) is required" \
	  "to bootstrap this build" 1>&2; \
	  exit 1; \
	fi
mkdir -p bsd_amd64_docs
/Applications/Xcode.app/Contents/Developer/usr/bin/make -f /Library/userDevtool/openJdk/openjdk7/hotspot/make/bsd/makefiles/jvmti.make  " LP64=1 " GAMMADIR=/Library/userDevtool/openJdk/openjdk7/hotspot OS_FAMILY=bsd SRCARCH=x86 BUILDARCH=amd64 LIBARCH=amd64 LIBRARY_SUFFIX=dylib HOTSPOT_RELEASE_VERSION=24.0-b56 HOTSPOT_BUILD_VERSION=internal JRE_RELEASE_VERSION=1.7.0 JvmtiOutDir=bsd_amd64_docs jvmtidocs
make[4]: Nothing to be done for `jvmtidocs'.
/Applications/Xcode.app/Contents/Developer/usr/bin/make BUILD_FLAVOR=fastdebug VM_SUBDIR=fastdebug \
	  EXPORT_SUBDIR=/fastdebug \
	  generic_export
cp /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/bsd_amd64_compiler2/fastdebug/libjsig.dylib /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/amd64/libjsig.dylib
rm -f /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/amd64/server/Xusage.txt.temp
sed 's/\(separated by \)[;:]/\1:/g' /Library/userDevtool/openJdk/openjdk7/hotspot/src/share/vm/Xusage.txt > /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/amd64/server/Xusage.txt.temp
mv /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/amd64/server/Xusage.txt.temp /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/amd64/server/Xusage.txt
cp /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/bsd_amd64_compiler2/fastdebug/libjvm.dylib /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/amd64/server/libjvm.dylib
cp /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/bsd_amd64_compiler2/fastdebug/libsaproc.dylib /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/amd64/libsaproc.dylib
/Applications/Xcode.app/Contents/Developer/usr/bin/make EXPORT_SUBDIR=/fastdebug universalize
BUILT_LIPO_FILES="`find /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/{i386,amd64}/libjsig.dylib 2>/dev/null`"; \
	if [ -n "${BUILT_LIPO_FILES}" ]; then \
	  mkdir -p /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib; \
	  lipo -create -output /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/libjsig.dylib ${BUILT_LIPO_FILES}; \
	fi	
BUILT_LIPO_FILES="`find /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/{i386,amd64}/libsaproc.dylib 2>/dev/null`"; \
	if [ -n "${BUILT_LIPO_FILES}" ]; then \
	  mkdir -p /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib; \
	  lipo -create -output /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/libsaproc.dylib ${BUILT_LIPO_FILES}; \
	fi	
BUILT_LIPO_FILES="`find /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/{i386,amd64}/server/libjvm.dylib 2>/dev/null`"; \
	if [ -n "${BUILT_LIPO_FILES}" ]; then \
	  mkdir -p /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/server; \
	  lipo -create -output /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/server/libjvm.dylib ${BUILT_LIPO_FILES}; \
	fi	
BUILT_LIPO_FILES="`find /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/{i386,amd64}/client/libjvm.dylib 2>/dev/null`"; \
	if [ -n "${BUILT_LIPO_FILES}" ]; then \
	  mkdir -p /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/client; \
	  lipo -create -output /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/client/libjvm.dylib ${BUILT_LIPO_FILES}; \
	fi	
BUILT_COPY_FILES="`find /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/{i386,amd64}/server/Xusage.txt 2>/dev/null`"; \
	if [ -n "${BUILT_COPY_FILES}" ]; then \
	  for i in ${BUILT_COPY_FILES}; do \
	    if [ -f ${i} ]; then \
	      mkdir -p /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/server; \
	      cp ${i} /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/server/Xusage.txt; \
	    fi; \
	  done; \
	fi
BUILT_COPY_FILES="`find /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/{i386,amd64}/client/Xusage.txt 2>/dev/null`"; \
	if [ -n "${BUILT_COPY_FILES}" ]; then \
	  for i in ${BUILT_COPY_FILES}; do \
	    if [ -f ${i} ]; then \
	      mkdir -p /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/client; \
	      cp ${i} /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/client/Xusage.txt; \
	    fi; \
	  done; \
	fi
rm -f -r /Library/userDevtool/openJdk/openjdk7/hotspot/build/bsd/export-universal/fastdebug/jre/lib/{i386,amd64}



加载中
返回顶部
顶部